%def_enable shared
%def_enable static

%define oname libibmad
%define sover 2
Name: %oname%sover
Version: 1.3.2
Release: alt2
Summary: OpenFabrics Alliance InfiniBand MAD library
License: %gpl2only, %bsdstyle
Group: System/Libraries
Url: http://www.openfabrics.org
# git://git.openfabrics.org/~sashak/management.git
Source: %name-%version.tar.gz
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Provides: %oname = %version-%release

BuildRequires(pre): rpm-build-licenses
BuildRequires: libibumad-devel >= 1.3.2

%description
%name provides low layer IB functions for use by the IB diagnostic
and management programs. These include MAD, SA, SMP, and other basic IB
functions.


%package -n %oname-devel
Summary: Development files for the %name library
Group: Development/C
Requires: %name%{?_disable-shared:-devel-static} = %version-%release
Requires: libibumad-devel >= 1.3.2

%description -n %oname-devel
Development files for the %name library.


%if_enabled static
%package -n %oname-devel-static
Summary: Static version of the %name library
Group: Development/C
Requires: %oname-devel = %version-%release

%description -n %oname-devel-static
Static version of the %name library.
%endif


%prep
%setup

%build
./autogen.sh
%configure %{subst_enable shared} %{subst_enable static} --with-gnu-ld
%make_build


%install
%make_install DESTDIR=%buildroot install
install -d -m 0755 %buildroot%_docdir/%name-%version
install -m 0644 AUTHORS COPYING ChangeLog %buildroot%_docdir/%name-%version/
rm -f %buildroot%_libdir/*.la


%if_enabled shared
%files
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/AUTHORS
%doc %_docdir/%name-%version/COPYING
%_libdir/*.so.*
%endif


%files -n %oname-devel
%_includedir/infiniband/*
%doc %_docdir/%name-%version/ChangeLog
%if_enabled shared
%_libdir/*.so
%else
%doc %dir %_docdir/%name-%version
%doc %_docdir/%name-%version/AUTHORS
%doc %_docdir/%name-%version/COPYING
%endif


%if_enabled static
%files -n %oname-devel-static
%_libdir/*.a
%endif


%changelog
* Thu Jul 09 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.3.2-alt2
- Rebuild from upstream git repository

* Thu Jun 18 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.3.2-alt1.1
- Build for Sisyphus
- Changed soname

* Mon Jun 08 2009 Led <led@altlinux.ru> 1.3.2-alt1
- 1.3.2

* Wed Apr 29 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.2.3_20081118-alt1
- Version 1.2.3_20081118

* Thu Sep 18 2008 Stanislav Ievlev <inger@altlinux.org> 1.1.6-alt1
- OFED 1.3.1

* Thu Aug 23 2007 Stanislav Ievlev <inger@altlinux.org> 1.0.6-alt1
- Initial build

